package com.zhongzheng.modules.grade.service;

import com.zhongzheng.modules.grade.domain.ClassGradeUser;
import com.zhongzheng.modules.grade.vo.ClassGradeUserGoodsVo;
import com.zhongzheng.modules.grade.vo.ClassGradeUserVo;
import com.zhongzheng.modules.grade.bo.ClassGradeUserQueryBo;
import com.zhongzheng.modules.grade.bo.ClassGradeUserAddBo;
import com.zhongzheng.modules.grade.bo.ClassGradeUserEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 学员记录Service接口
 *
 * @author ruoyi
 * @date 2021-11-10
 */
public interface IClassGradeUserService extends IService<ClassGradeUser> {
	/**
	 * 查询单个
	 * @return
	 */
	ClassGradeUserVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<ClassGradeUserVo> queryList(ClassGradeUserQueryBo bo);

	/**
	 * 根据新增业务对象插入学员记录
	 * @param bo 学员记录新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ClassGradeUserAddBo bo);

	/**
	 * 根据编辑业务对象修改学员记录
	 * @param bo 学员记录编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ClassGradeUserEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ClassGradeUserGoodsVo> listUser(ClassGradeUserQueryBo bo);

	List<ClassGradeUserVo> listUserPeriod(ClassGradeUserQueryBo bo);
}
